Scraper apiGeneratedWebhooks
List delivery history
List webhook delivery attempts with optional status filter and pagination
X-Api-Key<token>
In: header
Path Parameters
webhook_idstring
Format
uuidQuery Parameters
page?integer
Page number (must be greater than 0)
Default
1Range
1 <= valuepage_size?integer
Number of results per page (max 100)
Default
100Range
value <= 100status?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://scraper.geonode.io/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/deliveries"{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"event_type": "extract_completed",
"job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
"attempt_number": 0,
"status": "string",
"http_status": 0,
"delivered_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}
],
"page": 0,
"page_size": 0,
"page_count": 0
}{
"code": "string",
"message": "string",
"correlation_id": "string",
"retryable": true
}{
"code": "string",
"message": "string",
"correlation_id": "string",
"retryable": true
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"message": "string",
"correlation_id": "string",
"retryable": true
}